package com.yuchen.saas.park.api.feign.property;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yuchen.saas.park.api.dto.property.PropertyAdsPositionQryDto;
import com.yuchen.saas.park.api.entity.property.PropertyAdsPosition;
import org.nest.springwrap.core.tool.api.R;
import org.springframework.stereotype.Component;

@Component
public class PropertyAdsPositionFeignServiceFallback implements PropertyAdsPositionFeignService {

    @Override
    public R save(PropertyAdsPosition propertyAdsPosition) {
        return R.fail("feign远程调用失败.");
    }

    @Override
    public R<Page<PropertyAdsPosition>> list(PropertyAdsPositionQryDto propertyAdsPositionQryDto) {
        return R.fail("feign远程调用失败.");
    }

    @Override
    public R detail(Long id) {
        return R.fail("feign远程调用失败.");
    }

}
